/*
	Author: Djeeberjr

	Description:
	Disables a full Arsenal on a object

	Effect: local

	Parameter(s):
		0: OBJECT - the object of the arsenal
*/

params ["_obj"];

//Check if the arsenal is already removes
if(typeName (_obj getVariable ["DLib_arsenal",objNull]) == "SCALAR")then{

	_obj removeAction (_obj getVariable "DLib_arsenal");

	if (isClass(configFile >> "CfgPatches" >> "ace_main")) then {
		[_obj, true] call ace_arsenal_fnc_removeBox;
	};

	// Remove arsenal actionId
	_obj setVariable ["DLib_arsenal",objNull];

};
